Hi All,

A mutt update today complained about which database to use for hcache:

!!! Problem resolving dependencies for mail-client/mutt from @selected          
.. done!

!!! The ebuild selected to satisfy "mail-client/mutt" has unmet requirements.
- mail-client/mutt-1.9.4-r1::gentoo USE="crypt gdbm gpg hcache imap lmdb mbox 
nls nntp pop sasl smime smtp ssl -berkdb -debug -doc -gnutls -gpgme -idn -
kerberos -libressl -notmuch -pgp_classic (-prefix) -qdbm (-selinux) -slang -
smime_classic -tokyocabinet -vanilla" ABI_X86="(64)"

  The following REQUIRED_USE flag constraints are unsatisfied:
    hcache? ( exactly-one-of ( berkdb gdbm lmdb qdbm tokyocabinet ) )
  
  The above constraints are a subset of the following complete expression:
    hcache? ( exactly-one-of ( berkdb gdbm lmdb qdbm tokyocabinet ) ) imap? ( 
ssl ) pop? ( ssl ) nntp? ( ssl ) smime? ( ssl !gnutls ) smime_classic? ( ssl !
gnutls ) smtp? ( ssl ) sasl? ( any-of ( imap pop smtp nntp ) ) kerberos? ( 
any-of ( imap pop smtp nntp ) )

So far I had been using gdbm, but I now see that emerge also added lmdb.  
Which one is best to use?  What have you chosen?

-- 
Regards,
Mick

Attachment: signature.asc
Description: This is a digitally signed message part.

Reply via email to